Public APIAPI ReferenceDomains

Get an app domain's status.

Beta API

The /v1 API contract may change, including breaking changes without compatibility aliases.

GET/v1/apps/{appId}/domains/{domainId}

Check that the domain belongs to the specified app and return its status.

Authorization

bearerAuth
AuthorizationBearer <token>

Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.

In: header

Path Parameters

appId*string
domainId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/apps/string/domains/string"
{  "domain": {    "appId": "string",    "certificate": {      "notAfter": "string",      "status": "string"    },    "cnameTarget": "string",    "createdAt": "string",    "hostname": "string",    "id": "string",    "kind": "string",    "retryAfter": "string",    "status": "string",    "verificationErrorCode": "string",    "verifiedAt": "string"  }}